import { Subject } from 'rxjs';
export interface IAddToastNotification {
    header: string;
    body?: string;
    duration?: number;
    manuallyDismiss?: boolean;
    loading?: boolean;
    toastClass?: string;
    iconClass?: string;
    /**
     * 0 = 'danger'
     *
     * 1 = 'success'
     *
     * 2 = 'info'
     *
     * 3 = 'warning'
     *
     */
    tag?: EToastTag | 0 | 1 | 2 | 3;
}
export declare enum EToastTag {
    danger = "DANGER",
    success = "SUCCESS",
    info = "INFO",
    warning = "WARNING"
}
export declare const ToastTagMap: {
    [e in EToastTag]: 0 | 1 | 2 | 3;
};
export declare const ToastTagReverseMap: {
    [e in 0 | 1 | 2 | 3]: EToastTag;
};
export interface IToastNotification extends IAddToastNotification {
    closed: Subject<{
        manuallyClosed: boolean;
    }>;
    id: string;
    _iconClass?: string;
    _tag?: EToastTag;
    datetime: number;
    expanded?: boolean;
    expandable: boolean;
}
export declare enum EToastPosition {
    top = "top",
    bottom = "bottom",
    left = "left",
    right = "right"
}
export interface IToastConfig {
    position: EToastPosition;
    /**In milliseconds */
    duration: number;
}
export interface IToastComponentConfig {
    showExpansionButton?: boolean;
    xPosition?: 'left' | 'right' | 'center';
    expandHandler?: (item: IToastNotification) => any;
}
